Help: SMC EtherEZ SMC8416T card

Help: SMC EtherEZ SMC8416T card

Post by Dirk Kleinhesseli » Sat, 26 Aug 1995 04:00:00



    Hi,

    We just got Compaq P90/16MB machines with EtherEZ SMC 8416T cards
and moved over Linux from our old 486's.  The ethernet card is not
recognized by the kernel -- we compiled it for smc network drivers.
Can anyone please help us ?  We are using kernel 1.2.11 .  Any help
is greatly appreciated.  Thanks,

                     Dirk


 
 
 

Help: SMC EtherEZ SMC8416T card

Post by arp.. » Sun, 27 Aug 1995 04:00:00



>    Hi,

>    We just got Compaq P90/16MB machines with EtherEZ SMC 8416T cards
>and moved over Linux from our old 486's.  The ethernet card is not
>recognized by the kernel -- we compiled it for smc network drivers.
>Can anyone please help us ?  We are using kernel 1.2.11 .  Any help
>is greatly appreciated.  Thanks,

>                     Dirk



I don't remember all the details...this was a while ago, but here goes.  I think
that if the EtherEZ is configured in memory-mapped mode, it works like the
SMC Elite Ultra card, and there is a Linux driver for that card.

To configure the EZ in memory-mapped mode, you need a utility from SMC.  The
method described in the documentation works, but the configuration is lost when
the machine is rebooted (to go into Linux from DOS/Windows).  Call SMC at
1-800-SMC-4-YOU for that utility...it's on the BBS.

Hope this helps.

Austin.

 
 
 

1. Help on SMC-EtherEZ card, please

Hi,

I am trying to load the smc-ultra.o module using insmod but
unable to load it properly. I get the following message.


printk: wrong version or undefined
check_region: wrong version or undefined
init_etherdev: wrong version or undefined
ei_debug: wrong version or undefined
ethdev_init: wrong version or undefined
request_region: wrong version or undefined
NS8390_init: wrong version or undefined
ei_interrupt: wrong version or undefined
request_irq: wrong version or undefined
ei_open: wrong version or undefined
jiffies: wrong version or undefined
eth_copy_and_sum: wrong version or undefined
free_irq: wrong version or undefined
irq2dev_map: wrong version or undefined
register_netdev: wrong version or undefined
kfree: wrong version or undefined
release_region: wrong version or undefined
unregister_netdev: wrong version or undefined
Loading failed! The module symbols (from linux-2.0.30) don't match your
linux-2.0.30

Any ideas?.

Thanks in advance. Could you please cc: the reply to my e-mail?

-Arul

2. passing array variables to spawned shells

3. Need help with SMC EtherEZ ethernet card setup...please read :)

4. HP Deskjet 697C: "rangecheck in .putdeviceprops" error

5. Help: Driver for SMC EtherEZ card?

6. How do I directly 'talk' to a modem?

7. Location of latest aha2742 driver

8. Help: EtherEZ SMC 8416T card

9. Help with SMC 8416 EtherEZ card

10. SMC 83c795 (EtherEZ) and SMC Ultra driver

11. SMC EtherEZ 1211TX card

12. Western SMC EtherEZ cards